Subject: Re: linux-next: manual merge of the kmemleak tree with Linus' tree

From: Catalin Marinas <[email-masked]>
Date: Fri, 12 Oct 2012 16:22:06 +0100

On Wed, Oct 10, 2012 at 05:55:53AM +0100, Sergey Senozhatsky wrote:
> On (10/10/12 14:06), Stephen Rothwell wrote:
> > Today's linux-next merge of the kmemleak tree got a conflict in
> > mm/kmemleak.c between commit 85d3a316c714 ("kmemleak: use rbtree instead
> > of prio tree") from Linus' tree and commit 48786770bf3b ("kmemleak: do
> > not leak object after tree insertion error") from the kmemleak tree.
> > 
> > The kmemleak tree commit has been there since April, should it have
> > progressed by now?  Its fix is also included in the above commit from
> > Linus' tree.
> > 
> > I just used the version from Linus' tree and can carry the fix as
> > necessary (no action is required).
> 
> Oh, my bad! Just took a look on current create_object(). I guess we can
> drop my patch.

Sorry, I haven't pushed it early enough and I've seen the rbtree
conversion patch in the meantime which was fixing this as well.

I've updated my kmemleak branch now. Stephen, I guess you can remove
this branch since I don't have any outstanding kmemleak patches.

Thanks.

-- 
Catalin